Beta program

Installing SMB Service

Please read the following before installing this beta software

  1. For evaluation only - This beta software is for evaluation purposes only and should not be installed on critical equipment or in production environments. We strongly recommend reading the Release notes section before installing it. Synology cannot be held responsible for any damages, such as accidental data loss, caused by this beta software.

  2. Not downgradable - After installation of this beta application, you will not be able to downgrade to a previous official version of this software.

To install the beta software on your Synology NAS

  1. Log in to DSM using an account belonging to the administrators group.
  2. Open Package Center.
  3. Now you should be able to find and install packages that currently have a beta version available and compatible with your Synology NAS for public testing.
  4. Remember to click from Installed > Feedback to help us out and report any issues or suggestions.

Compatibility

Applied Models

  • FS-series: FS6400, FS3600, FS3400, FS3017, FS2017, FS1018, FS3410, FS2500
  • HD-series: HD6500
  • SA-series: SA3600, SA3400, SA6400, SA3200D
  • 23-series: DS923+, DS723+
  • 22-series: RS822RP+, RS822+, RS422+, DS3622xs+, DS2422+, DS1522+, DVA1622
  • 21-series: RS4021xs+, RS3621xs+, RS3621RPxs, RS2821RP+, RS2421RP+, RS2421+, RS1221RP+, RS1221+, DS1821+, DS1621xs+, DS1621+, DVA3221
  • 20-series: RS820RP+, RS820+, DS1520+, DS920+, DS720+, DS620slim, DS420+, DS420j, DS220+, DS220j, DS120j
  • 19-series: RS1619xs+, RS1219+, RS819, DS2419+II, DS2419+, DS1819+, DS1019+, DS419slim, DS119j, DVA3219
  • 18-series: RS3618xs, RS2818RP+, RS2418RP+, RS2418+, RS818RP+, RS818+, DS3018xs, DS1618+, DS918+, DS718+, DS418, DS418play, DS418j, DS218+, DS218, DS218play, DS218j, DS118
  • 17-series: RS18017xs+, RS4017xs+, RS3617xs+, RS3617RPxs, RS3617xs, RS217, DS3617xsII, DS3617xs, DS1817+, DS1817, DS1517+, DS1517
  • 16-series: RS18016xs+, RS2416RP+, RS2416+, RS816, DS916+, DS716+II, DS716+, DS416, DS416play, DS416slim, DS416j, DS216+II, DS216+, DS216, DS216play, DS216j, DS216se, DS116
  • 15-series: RS815RP+, RS815+, RS815, RC18015xs+, DS3615xs, DS2415+, DS2015xs, DS1815+, DS1515+, DS1515, DS715, DS415+, DS415play, DS215+, DS215j, DS115, DS115j
  • 14-series: RS3614xs+, RS3614RPxs, RS3614xs, RS2414RP+, RS2414+, RS814RP+, RS814+, RS814, RS214, DS414, DS414slim, DS414j, DS214+, DS214, DS214play, DS214se, DS114
  • 13-series: RS10613xs+, RS3413xs+, DS2413+, DS1813+, DS1513+, DS713+, DS213j

Release notes

Compatibility & Installation

  1. SMB Service 4.15.9 requires DSM 7.1.1 or above.

Important Notes

  1. Please note that currently the SMB3 Multichannel function only supports x86 platforms. For models in x86 platforms, please refer to all models listed in this article.
  2. You cannot downgrade to a previous version once you have installed SMB Service 4.15.9.
  3. If you have installed Synology Directory Server, it will be automatically updated to version 4.15.9 when you update SMB Service to version 4.15.9. You cannot downgrade Synology Directory Server to a previous version once it has been updated.
  4. The update is expected to be available in all regions and models within the next few days. The actual time of release may vary slightly depending on the region and model.
  5. If your Synology NAS has joined domain and is using Active Backup for Business to backup file server, do not update to this version

What's New

  1. Updated Samba to version 4.15.9.
  2. Added the SMB3 Multichannel function. This function allows users to take full advantage of the network bandwidth by using multiple connections between the client and server, providing increased throughput and network fault tolerance. Please note that currently the SMB3 Multichannel function only supports x86 platforms. You can enable this function at Control Panel > File Services > SMB > Advanced Settings > Others.

Fixed Issues

  1. Fixed an issue where Spotlight search on macOS 13 could not function properly.
  2. Minor bug fixes.